# MMOD-Panel

MMOD Panel is an upgrade to the Topbar in Gnome3, creating a customizable panel and providing options for fine-tuning your Desktop Experience. 

Supported Gnome-shell versions:

 * 3.10
 * 3.12
 * 3.12.2
 * 3.14
 
Check out MMOD-Panel at [extensions.gnome.org](https://extensions.gnome.org/extension/898/mmod-panel).


## Getting Started

Upon installation you will find yourself greeted by MMOD-Panel's Gnome Extension Preferences Window.  You may browse through the settings and make changes as you like.


## Features

 * Set comfort levels to provide theme support and fine-tune the overall look and feel of the panel.
 * Set the location/position of the panel (bottom by default).
 * Add a button to the panel in place of the activities link, using an icon of your preference.
 * Auto-hide the panel when not active/in-focus (makes use of pressure/gesture for showing the panel).
 * Display and manage your favorites/running apps directly on the panel.
 * Move the date menu to the aggregate/tray area.
 * Access and manage your extension preferences directly from the aggregate menu.
 * Customize behavior of the overview and panel(hot-corners/animations/effects) to suit your preferences.
 * More to come soon!


## Inspiration

This project is loosely based on the Panel Settings extension:

https://github.com/eddiefullmetal/gnome-shell-extensions/tree/master/panelSettings%40eddiefullmetal.gr

Sadly, Panel Settings has not seen any maintenance in over 2 years, though this is why I decided to create MMOD Panel.

I also took inspiration from the following Gnome extensions: 
 * System-Monitor
 * Taskbar
 * DashToDock.

For those of you who are wondering, the theme used in the screen shot (found at [extensions.gnome.org](https://extensions.gnome.org/extension/898/mmod-panel)) is the Zukitwo-Dark-Shell Shell Theme; everything else is default Gnome on Debian Jessie. However, the author of the aforementioned shell theme has changed the name for various reasons to Ciliora-Prima-Shell - which can be found here:  http://gnome-look.org/content/show.php?content=165096


## Contributors/Translators

German Translation(s) for MMOD-Panel courtesy of:

 * Jonius Zeidler <jonatan_zeidler@gmx.de>"


## Notes

* I personally use the Zukitwo-Dark-Shell (now termed Ciliora-Prima-Shell) Gnome Shell theme, which you can find over at gnome-look.org, with this extension (and user themes obviously) only, on Debian Jessy.
* Auto-hide works well, hovering your mouse over an empty portion of the panel will not keep it open; it only stays open when activities, app preferences, favorites, aggregate, and date buttons/icons are hovered, and when the overview, date menu, or aggregate menu are open (note that the app preferences menu does not keep the panel shown either).
* The link to the website for feedback is currently to the homepage of our web site and there is no respective form or area to leave feedback; it will be up in the very near future.
* Position modifications were changed to wait for realization (excludes style modification, only position).
* The shell support for MMOD-Panel has been changed to 3.10+ rather than 3.8+.
* The main VCS in use is now Git, hosted at Github.com, due to popular demand - and for the sake of easing contributions issues are also managed at Github.com.
